package com.elephant.framework.galaxy.aroad.module.zhjc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhFghjdzb;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhFghjdzbCapital;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhGhjdzb;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhGhjdzbCapital;
import com.elephant.framework.galaxy.aroad.module.zhjc.mapper.ZhjcGhjhGhjdzbMapper;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcGhjhGhjdzbService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 智慧决策_规划计划_规划阶段坐标表
 *
 * @author wangjian
 * @date 2019-05-27 14:23:58
 */
@Service
public class ZhjcGhjhGhjdzbServiceImpl extends ServiceImpl<ZhjcGhjhGhjdzbMapper, ZhjcGhjhGhjdzb> implements ZhjcGhjhGhjdzbService {
    /**
     * 字段名称转小写
     * @return
     */
    public ZhjcGhjhGhjdzb updateKeyName(ZhjcGhjhGhjdzbCapital zhjcGhjhGhjdzbCapital) {
        ZhjcGhjhGhjdzb zhjcGhjhGhjdzb = new ZhjcGhjhGhjdzb();
        zhjcGhjhGhjdzb.setXmid(zhjcGhjhGhjdzbCapital.getXMID());
        zhjcGhjhGhjdzb.setBeginpointk(zhjcGhjhGhjdzbCapital.getBEGINPOINTK());
        zhjcGhjhGhjdzb.setEndpointk(zhjcGhjhGhjdzbCapital.getENDPOINTK());
        zhjcGhjhGhjdzb.setGeomfeature(zhjcGhjhGhjdzbCapital.getGEOMFEATURE());
        zhjcGhjhGhjdzb.setSslxbm(zhjcGhjhGhjdzbCapital.getSSLXBM());
        zhjcGhjhGhjdzb.setSslxmc(zhjcGhjhGhjdzbCapital.getSSLXMC());
        return zhjcGhjhGhjdzb;
    }
}
